# EavGroup

Management of individual Fields

## GET /cmn/eav-groups/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"EavGroup","description":"Management of individual Fields"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/eav-groups/{id}":{"get":{"tags":["EavGroup"],"summary":"Find an existing Resource by identifier","operationId":"getById_117","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-eav-EavGroup"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-eav-EavGroup":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"group key"},"label":{"type":"string","description":"group label"},"description":{"type":"string","description":"group description"},"attributes":{"type":"array","description":"attribute list","items":{"$ref":"#/components/schemas/common-eav-EavAttribute"}},"uiSettings":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"entities":{"type":"array","description":"zugeordnet zu folgenden entities","items":{"type":"string","description":"zugeordnet zu folgenden entities"}},"appIdentifier":{"type":"string","format":"uuid","description":"appIdentifier"}},"required":["attributes","description","entities","label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-eav-EavAttribute":{"description":"attribute list","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"unique key"},"label":{"type":"string","description":"attribute label"},"description":{"type":"string","description":"attribute description"},"position":{"type":"integer","format":"int32","description":"position/reihenfolge des attributes (0 based)","readOnly":true},"type":{"type":"string","description":"attribute type","enum":["BOOLEAN","INTEGER","TEXT","DATE","DATE_TIME","JSON","OBJECT","ARRAY","CURRENCY","DECIMAL","MEMO","SELECT_SINGLE","SELECT_MULTI","VARIANT_ATTRIBUTE"]},"textGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variantAttributeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"viewMode":{"type":"string","description":"darstellungsmodus im view","enum":["EDITABLE","READ_ONLY","NOT_VISIBLE"]},"active":{"type":"boolean","default":true,"description":"ist das feld aktiv (ACHTUNG: deaktivieren verschiebt daten in den verbundenen Tabellen)"},"fulltextField":{"type":"boolean","default":false,"description":"context is full-text-searchable"},"searchIndex":{"type":"boolean","default":false,"description":"soll ein suchindex (e.g. für cunit) angelegt werden"},"appIdentifier":{"type":"string","format":"uuid","description":"appIdentifier"},"nestedAttributes":{"type":"array","description":"Verschachtelte Attribute (nur für Typ OBJECT/ARRAY)","items":{"$ref":"#/components/schemas/common-eav-EavAttribute"}}},"required":["label","type"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## PUT /cmn/eav-groups/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"EavGroup","description":"Management of individual Fields"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/eav-groups/{id}":{"put":{"tags":["EavGroup"],"summary":"Update existing Resource ","operationId":"update_107","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-eav-EavGroup"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-eav-EavGroup"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-eav-EavGroup":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"group key"},"label":{"type":"string","description":"group label"},"description":{"type":"string","description":"group description"},"attributes":{"type":"array","description":"attribute list","items":{"$ref":"#/components/schemas/common-eav-EavAttribute"}},"uiSettings":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"entities":{"type":"array","description":"zugeordnet zu folgenden entities","items":{"type":"string","description":"zugeordnet zu folgenden entities"}},"appIdentifier":{"type":"string","format":"uuid","description":"appIdentifier"}},"required":["attributes","description","entities","label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-eav-EavAttribute":{"description":"attribute list","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"unique key"},"label":{"type":"string","description":"attribute label"},"description":{"type":"string","description":"attribute description"},"position":{"type":"integer","format":"int32","description":"position/reihenfolge des attributes (0 based)","readOnly":true},"type":{"type":"string","description":"attribute type","enum":["BOOLEAN","INTEGER","TEXT","DATE","DATE_TIME","JSON","OBJECT","ARRAY","CURRENCY","DECIMAL","MEMO","SELECT_SINGLE","SELECT_MULTI","VARIANT_ATTRIBUTE"]},"textGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variantAttributeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"viewMode":{"type":"string","description":"darstellungsmodus im view","enum":["EDITABLE","READ_ONLY","NOT_VISIBLE"]},"active":{"type":"boolean","default":true,"description":"ist das feld aktiv (ACHTUNG: deaktivieren verschiebt daten in den verbundenen Tabellen)"},"fulltextField":{"type":"boolean","default":false,"description":"context is full-text-searchable"},"searchIndex":{"type":"boolean","default":false,"description":"soll ein suchindex (e.g. für cunit) angelegt werden"},"appIdentifier":{"type":"string","format":"uuid","description":"appIdentifier"},"nestedAttributes":{"type":"array","description":"Verschachtelte Attribute (nur für Typ OBJECT/ARRAY)","items":{"$ref":"#/components/schemas/common-eav-EavAttribute"}}},"required":["label","type"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## DELETE /cmn/eav-groups/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"EavGroup","description":"Management of individual Fields"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/eav-groups/{id}":{"delete":{"tags":["EavGroup"],"summary":"Delete an existing Resource","operationId":"delete_95","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /cmn/eav-groups/{id}/remove-data

> force deletion of data

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"EavGroup","description":"Management of individual Fields"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/eav-groups/{id}/remove-data":{"post":{"tags":["EavGroup"],"summary":"force deletion of data","operationId":"removeData","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-eav-EavDataRemoveRequest"}}},"required":true},"responses":{"200":{"description":"operation process successfully"}}}}},"components":{"schemas":{"common-eav-EavDataRemoveRequest":{"properties":{"entities":{"type":"array","description":"Entity-Assoziation, bei denen die Daten gelöscht werden sollen","items":{"type":"string","description":"Entity-Assoziation, bei denen die Daten gelöscht werden sollen"}},"attributeId":{"type":"array","description":"Attribute Key dessen daten gelöscht werden sollen (optional)","items":{"type":"integer","format":"int64","description":"Attribute Key dessen daten gelöscht werden sollen (optional)"}}},"required":["entities"]}}}}
```

## POST /cmn/eav-groups

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"EavGroup","description":"Management of individual Fields"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/eav-groups":{"post":{"tags":["EavGroup"],"summary":"Create new Resource","operationId":"create_99","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-eav-EavGroup"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-eav-EavGroup"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-eav-EavGroup":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"group key"},"label":{"type":"string","description":"group label"},"description":{"type":"string","description":"group description"},"attributes":{"type":"array","description":"attribute list","items":{"$ref":"#/components/schemas/common-eav-EavAttribute"}},"uiSettings":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"entities":{"type":"array","description":"zugeordnet zu folgenden entities","items":{"type":"string","description":"zugeordnet zu folgenden entities"}},"appIdentifier":{"type":"string","format":"uuid","description":"appIdentifier"}},"required":["attributes","description","entities","label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-eav-EavAttribute":{"description":"attribute list","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"unique key"},"label":{"type":"string","description":"attribute label"},"description":{"type":"string","description":"attribute description"},"position":{"type":"integer","format":"int32","description":"position/reihenfolge des attributes (0 based)","readOnly":true},"type":{"type":"string","description":"attribute type","enum":["BOOLEAN","INTEGER","TEXT","DATE","DATE_TIME","JSON","OBJECT","ARRAY","CURRENCY","DECIMAL","MEMO","SELECT_SINGLE","SELECT_MULTI","VARIANT_ATTRIBUTE"]},"textGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variantAttributeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"viewMode":{"type":"string","description":"darstellungsmodus im view","enum":["EDITABLE","READ_ONLY","NOT_VISIBLE"]},"active":{"type":"boolean","default":true,"description":"ist das feld aktiv (ACHTUNG: deaktivieren verschiebt daten in den verbundenen Tabellen)"},"fulltextField":{"type":"boolean","default":false,"description":"context is full-text-searchable"},"searchIndex":{"type":"boolean","default":false,"description":"soll ein suchindex (e.g. für cunit) angelegt werden"},"appIdentifier":{"type":"string","format":"uuid","description":"appIdentifier"},"nestedAttributes":{"type":"array","description":"Verschachtelte Attribute (nur für Typ OBJECT/ARRAY)","items":{"$ref":"#/components/schemas/common-eav-EavAttribute"}}},"required":["label","type"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## GET /cmn/eav-groups/{id}/is-used

> check if the group is in use e.g contains valid content in associated entities

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"EavGroup","description":"Management of individual Fields"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/eav-groups/{id}/is-used":{"get":{"tags":["EavGroup"],"summary":"check if the group is in use e.g contains valid content in associated entities","operationId":"isGroupInUse","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## GET /cmn/eav-groups/{id}/attribute/{attributeId}/is-used

> check if the attribute is in use contains valid content in associated entities

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"EavGroup","description":"Management of individual Fields"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/eav-groups/{id}/attribute/{attributeId}/is-used":{"get":{"tags":["EavGroup"],"summary":"check if the attribute is in use contains valid content in associated entities","operationId":"isAttributeInUse","parameters":[{"name":"id","in":"path","description":"group-id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attributeId","in":"path","description":"attribute-id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## GET /cmn/eav-groups/entities

> return all custom field ids

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"EavGroup","description":"Management of individual Fields"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/eav-groups/entities":{"get":{"tags":["EavGroup"],"summary":"return all custom field ids","operationId":"getAllCustomFieldIds","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common-eav-EavEntityRef"}}}}}}}}},"components":{"schemas":{"common-eav-EavEntityRef":{"properties":{"key":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a short description","readOnly":true}},"required":["key"]}}}}
```

## GET /cmn/eav-groups/by-key/{groupKey}

> return group by key

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"EavGroup","description":"Management of individual Fields"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/eav-groups/by-key/{groupKey}":{"get":{"tags":["EavGroup"],"summary":"return group by key","operationId":"isGroupInUseByKey","parameters":[{"name":"groupKey","in":"path","description":"an identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-eav-EavGroup"}}}}}}}},"components":{"schemas":{"common-eav-EavGroup":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"group key"},"label":{"type":"string","description":"group label"},"description":{"type":"string","description":"group description"},"attributes":{"type":"array","description":"attribute list","items":{"$ref":"#/components/schemas/common-eav-EavAttribute"}},"uiSettings":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"entities":{"type":"array","description":"zugeordnet zu folgenden entities","items":{"type":"string","description":"zugeordnet zu folgenden entities"}},"appIdentifier":{"type":"string","format":"uuid","description":"appIdentifier"}},"required":["attributes","description","entities","label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-eav-EavAttribute":{"description":"attribute list","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"unique key"},"label":{"type":"string","description":"attribute label"},"description":{"type":"string","description":"attribute description"},"position":{"type":"integer","format":"int32","description":"position/reihenfolge des attributes (0 based)","readOnly":true},"type":{"type":"string","description":"attribute type","enum":["BOOLEAN","INTEGER","TEXT","DATE","DATE_TIME","JSON","OBJECT","ARRAY","CURRENCY","DECIMAL","MEMO","SELECT_SINGLE","SELECT_MULTI","VARIANT_ATTRIBUTE"]},"textGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variantAttributeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"viewMode":{"type":"string","description":"darstellungsmodus im view","enum":["EDITABLE","READ_ONLY","NOT_VISIBLE"]},"active":{"type":"boolean","default":true,"description":"ist das feld aktiv (ACHTUNG: deaktivieren verschiebt daten in den verbundenen Tabellen)"},"fulltextField":{"type":"boolean","default":false,"description":"context is full-text-searchable"},"searchIndex":{"type":"boolean","default":false,"description":"soll ein suchindex (e.g. für cunit) angelegt werden"},"appIdentifier":{"type":"string","format":"uuid","description":"appIdentifier"},"nestedAttributes":{"type":"array","description":"Verschachtelte Attribute (nur für Typ OBJECT/ARRAY)","items":{"$ref":"#/components/schemas/common-eav-EavAttribute"}}},"required":["label","type"]},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/eavgroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
